Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-25353

Invalid usage of string placeholder in [cannotgetdsfordependent,core_question]

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.0
    • Component/s: Language, Questions
    • Labels:
      None
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_20_STABLE

      Description

      The string [cannotgetdsfordependent,core_question] uses a placeholder in a way that is no longer valid since 2.0:

      $string['cannotgetdsfordependent'] = 'Cannot get the specified dataset for a dataset dependent question! (question: {$a[0]}, datasetitem: {a[1]})';

      called from question/type/calculated/questiontype.php:

      print_error('cannotgetdsfordependent', 'question', '', array($question->id, $datasetitem));

        Attachments

          Activity

            People

            Assignee:
            ppichet Pierre Pichet
            Reporter:
            mudrd8mz David Mudrák (@mudrd8mz)
            Tester:
            Nobody
            Participants:
            Component watchers:
            cameron1729, David Mudrák (@mudrd8mz), Helen Foster, Tim Hunt, Andrew Nicols, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Fix Release Date:
              24/Nov/10